# dynamic_traits< algebra::NumericalSemiring > Struct Template Reference
[Algebra, Semiring]

Meta information about the NumericalSemiring structural element. More...

Inherits dynamic_traits< algebra::SemiringBase< algebra::NumericalSemiring > >.

## Detailed Description

### template<>
struct vcsn::dynamic_traits< algebra::NumericalSemiring >

Meta information about the NumericalSemiring structural element.

Definition at line 52 of file concept/numerical_semiring.hh.